Bug 167887 - Review Request: polyxmass-bin - The GNU polyxmass software suite
Review Request: polyxmass-bin - The GNU polyxmass software suite
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.polyxmass.org
:
Depends On: 167885
Blocks: FE-ACCEPT 167888 167889
  Show dependency treegraph
 
Reported: 2005-09-09 03:40 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 01:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-09-09 03:40:07 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/polyxmass-bin.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/polyxmass-bin-0.8.9-1.src.rpm
Description:
polyxdef is the GNU polyxmass software project's module where the
user makes/modifies polymer chemistry definitions. Those polymer
chemistry definitions are then saved to a disk file under an xml-based
format that will be understandable by other modules in the GNU
polyxmass software suite.

polyxcalc is the GNU polyxmass software project's module where the
user makes simple mass calculations on a number of chemically-relevant
elements.

polyxedit is the GNU polyxmass software project's module where the
user performs tasks on a polymer sequence.
Comment 1 John Mahowald 2005-10-22 16:02:27 EDT
* name OK, matches upstream (though I would probably have just called it polyxmass)
* license good (GPL), in %doc
* specfile legible
* builds on FC4 i386
* uses %find_lang
* owns its directories
* consistent macro use
* %clean OK
* %docs good, no need for seperate package
* app runs

needs work:
* .desktop file, installed with desktop-file-install
* minor: rpmlint only can't find changelog version:
W: polyxmass-bin no-version-in-last-changelog
W: polyxmass-bin-debuginfo no-version-in-last-changelog


the purpose of the patch is to make it compile without -Werror?
Comment 2 Andreas Bierfert 2005-10-22 19:18:00 EDT
yes thats what the patch is for because optflags make the build noisy...

desktop icon has been added =)

http://fedora.lowlatency.de/review/polyxmass-bin.spec
http://fedora.lowlatency.de/review/polyxmass-bin-0.8.9-2.src.rpm
Comment 3 John Mahowald 2005-10-22 23:06:21 EDT
The desktop file was added, but it really needs an icon. I suggest
/usr/share/polyxmass/glade/polyxmass-icon-32x32.png

This line to the desktop file should do it:

Icon=/usr/share/polyxmass/glade/polyxmass-icon-32x32.png
Comment 5 John Mahowald 2005-10-23 21:47:36 EDT
Looks good with the icon.

APPROVED
Comment 6 Andreas Bierfert 2005-10-26 02:36:14 EDT
checked in and build... could you please change to FE-ACCEPT?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.